<template>
    <div class="flex">
      <div v-for="device in connectedDevices" :key="device.id">
        <div >
          <div class="q-pa-md" >
            <img :src='device.source' height="300" width="450"/>
          </div>
        </div>
      </div>
  </div>
</template>
<script>

import { ref } from 'vue';

export default {
  // name: 'ComponentName',
  setup () {
    const connectedDevices = ref([{id: 1, source: "http://localhost:8887/video"}, {id: 2, source: "http://localhost:8888/video"}, {id: 3, source: "http://localhost:8889/video"}, {id: 4, source: "http://localhost:8890/video"},{id: 5, source: "http://localhost:8891/video"}]);

    return {
      connectedDevices
    }
  }
}
</script>